#!/bin/bash

export FPM_TUNE_VERSION=v5
export NGINX_CONF_VERSION=v4
export MY_CNF_VERSION=v4
export ENTRYPOINT_VERSION=v3

run_occ(){
    su -p www-data -s /bin/sh -c "/var/www/html/occ $@"
}

post_install_occ(){
    IFS='|' read -ra CMD <<< "$OCC_CMDS"
    for cmd in "${CMD[@]}"; do
      run_occ "$cmd"
    done
}

install_apps(){
    install_apps="$@"
    if [ -z "$install_apps" ]
    then
        install_apps=$APPS
    fi
    for app in $install_apps
    do
        run_occ "app:install $app"
    done
}

set_app_config(){
    APP=$1
    KEY=$2
    VALUE=$3
    run_occ "config:app:set $APP $KEY --value $VALUE"
}

install_bbb(){
    install_apps bbb
    set_app_config bbb app.navigation true
    set_app_config bbb api.url "$BBB_URL"
    set_app_config bbb api.secret "$(cat /run/secrets/bbb_secret)"
}

install_onlyoffice(){
    install_apps onlyoffice
    set_app_config onlyoffice DocumentServerUrl "$ONLYOFFICE_URL"
    set_app_config onlyoffice jwt_secret "$(cat /run/secrets/onlyoffice_jwt)"
    set_app_config onlyoffice customizationForcesave true
}

set_default_quota(){
    set_app_config files default_quota '"$DEFAULT_QUOTA"'
}
